extensions:
    pim-menu-webkul-prestashop-connector:
        module: pim/menu/tab
        parent: pim-menu
        aclResourceId: webkul_prestashop_connector_configuration
        position: 100
        targetZone: mainMenu
        config:
            title: Prestashop
            iconModifier: iconWebkulPrestashop
            to: webkul_prestashop_connector_configuration
            icon: WkPrestashopIcon
    
    webkul-prestashop-connector-configuration-form:
        module: webkul/prestashopconnector/form/configuration
    
    webkul-prestashop-connector-configuration-breadcrumbs:
        module: pim/common/breadcrumbs
        parent: webkul-prestashop-connector-configuration-form
        targetZone: breadcrumbs
        config:
            tab: pim-menu-webkul-prestashop-connector

    webkul-prestashop-connector-configuration-title:
        module: pim/common/grid-title
        parent: webkul-prestashop-connector-configuration-form
        targetZone: title
        config:
            title: webkul_prestashop_connector.form.configuration.title
            countable: false

    webkul-prestashop-connector-configuration-user-navigation:
        module: pim/menu/user-navigation
        parent: webkul-prestashop-connector-configuration-form
        targetZone: user-menu
        config:
            userAccount: pim_menu.user.user_account
            logout: pim_menu.user.logout


    # Save Button
    webkul-prestashop-connector-configuration-save:
        module: webkul/prestashopconnector/form/configuration/save
        parent: webkul-prestashop-connector-configuration-form
        targetZone: buttons
        position: 100
    
    # State 
    webkul-prestashop-connector-configuration-state:
        module: pim/form/common/state
        parent: webkul-prestashop-connector-configuration-form
        targetZone: state
        position: 900
        config:
            entity: pim_enrich.entity.product.title

    # Tabs
    webkul-prestashop-connector-configuration-tabs:
        module: pim/form/common/form-tabs
        parent: webkul-prestashop-connector-configuration-form
        targetZone: content
        position: 100

    webkul-prestashop-connector-configuration-tab-documentation:
        module: webkul/prestashopconnector/form/configuration/tab/documentation
        parent: webkul-prestashop-connector-configuration-tabs
        targetZone: container
        position: 90

    # Credential Tab
    webkul-prestashop-connector-configuration-tab-credential:
        module: webkul/prestashopconnector/form/configuration/tab/credential
        parent: webkul-prestashop-connector-configuration-tabs
        targetZone: container
        position: 100

    #datagrid form multi-credentials 
    webkul-prestashop-connector-credentials-index:
        module: pim/common/simple-view
        parent: webkul-prestashop-connector-configuration-tab-credential
        config:
            template: webkul/prestashopconnector/template/configuration/tab/credential-datagrid
        forwarded-events:
            grid_load:start: grid_load:start
            grid_load:complete: grid_load:complete

    webkul-prestashop-connector-credentials-index-grid-container:
        module: pim/common/simple-view
        parent: webkul-prestashop-connector-credentials-index
        targetZone: content
        config:
            template: pim/template/form/index/index

    webkul-prestashop-connector-credentials-index-filters-list:
        module: oro/datafilter/filters-list
        parent: webkul-prestashop-connector-credentials-index-grid-container
        targetZone: filters

    webkul-prestashop-connector-credentials-index-filters-manage:
        module: oro/datafilter/filters-button
        parent: webkul-prestashop-connector-credentials-index-grid-container
        targetZone: filters

    webkul-prestashop-connector-credentials-index-pagination:
        module: oro/datagrid/pagination-input
        parent: webkul-prestashop-connector-credentials-index-grid-container
        targetZone: toolbar
        config:
            gridName: webkul-prestashop-credentials-mapping-grid

    webkul-prestashop-connector-credentials-index-grid:
        module: pim/form/common/index/grid
        parent: webkul-prestashop-connector-credentials-index-grid-container
        position: 1000
        config:
            alias: webkul-prestashop-credentials-mapping-grid

    webkul-prestashop-connector-credentials-index-create-button:
        module: pim/form/common/index/create-button
        parent: webkul-prestashop-connector-credentials-index
        targetZone: buttons
        position: 100
        aclResourceId: webkul_prestashop_connector_configuration
        config:
           iconName:  plus
           title:     webkul_prestashop_connector.form.configuration.group.credential.create_btn
           modalForm: webkul-prestashop-connector-create-instance-modal

    # Default Setting Mapping Tab
    webkul-prestashop-connector-configuration-tab-default:
        module: webkul/prestashopconnector/form/configuration/tab/default
        parent: webkul-prestashop-connector-configuration-tabs
        targetZone: container
        position: 110
    
    # Product Fields Mapping Tab
    webkul-prestashop-connector-configuration-tab-mapping:
        module: webkul/prestashopconnector/form/configuration/tab/mapping
        parent: webkul-prestashop-connector-configuration-tabs
        targetZone: container
        position: 120
    
    # Association Mapping Tab
    webkul-prestashop-connector-configuration-tab-association:
        module: webkul/prestashopconnector/form/configuration/tab/association
        parent: webkul-prestashop-connector-configuration-tabs
        position: 130
        config:
            title: prestashop.association_mapping
    # Support Tab
    webkul-prestashop-connector-configuration-tab-support:
        module: prestashop/form/configuration/tab/support
        parent: webkul-prestashop-connector-configuration-tabs
        targetZone: container
        position: 180
        config:
            # Default for all connectors #
            customisation: https://webkul.uvdesk.com/en/customer/create-ticket/
            livechat: https://webkul.chatwhizz.com/wkcs/chat-support?name=webkul.com
            reviews: https://www.trustpilot.com/evaluate/webkul.com
            # Change the following #
            userguide: https://webkul.com/blog/prestashop-akeneo-connector/
            store: https://store.webkul.com/PrestaShop-Akeneo-Connector.html
